---
id: 5f356ed63c7807a4f1e6d054
title: Step 17
challengeType: 0
dashedName: step-17
---

# --description--

The goal now is to make the `div` not take up the entire width of the page. The CSS `width` property is perfect for this.

You can use the `id` selector to target a specific element with an `id` attribute. 

You learned how to work with the `id` selector in previous lessons like this:

```css 
#cat {
  width: 250px;
}
```

Use the `#menu` selector to give your element a width of `300px`.

# --hints--

You should have a `#menu` selector.

```js
const hasDiv = new __helpers.CSSHelp(document).getStyle("#menu");
assert.exists(hasDiv);
```

You should set the `width` property to `300px`.

```js
const hasWidth = new __helpers.CSSHelp(document).getCSSRules().some(x => x.style.width === '300px');
assert.isTrue(hasWidth);
```

Your `div` should have a width of 300px.

```js
const divWidth = new __helpers.CSSHelp(document).getStyle("#menu")?.getPropertyValue('width');
assert.equal(divWidth, '300px');
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Cafe Menu</title>
    <link href="styles.css" rel="stylesheet"/>
  </head>
  <body>
    <div id="menu">
      <main>
        <h1>CAMPER CAFE</h1>
        <p>Est. 2020</p>
        <section>
          <h2>Coffee</h2>
        </section>
      </main>
    </div>
  </body>
</html>
```

```css
body {
  background-color: burlywood;
}

h1, h2, p {
  text-align: center;
}

--fcc-editable-region--

--fcc-editable-region--

```

